# Uses of Class
org.apache.lucene.search.Scorable

Packages that use Scorable
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.search.comparators
Comparators, used to compare hits so as to determine their sort order when collecting the top results with `TopFieldCollector`.

- ## Uses of Scorable in org.apache.lucene.search

  Subclasses of Scorable in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `final class`
  `ConstantScoreScorer`
  A constant-scoring `Scorer`.
  `class`
  `FilterScorable`
  Filter a `Scorable`, intercepting methods and optionally changing their return values
  `class`
  `FilterScorer`
  A `FilterScorer` contains another `Scorer`, which it uses as its basic source of data, possibly transforming the data along the way or providing additional functionality.
  `class`
  `IndriAndScorer`
  Combines scores of subscorers.
  `class`
  `IndriDisjunctionScorer`
  The Indri implemenation of a disjunction scorer which stores the subscorers for the child queries.
  `class`
  `IndriScorer`
  The Indri parent scorer that stores the boost so that IndriScorers can use the boost outside of the term.
  `final class`
  `ScoreCachingWrappingScorer`
  A `Scorer` which wraps another scorer and caches the score of the current document.
  `class`
  `Scorer`
  Expert: Common scoring functionality for different types of queries.
  `final class`
  `TermScorer`
  Expert: A `Scorer` for documents matching a `Term`.
  Fields in org.apache.lucene.search declared as Scorable
  Modifier and Type
  Field
  Description
  `protected final Scorable`
  FilterScorable.`in`
  `final Scorable`
  DisiWrapper.`scorable`
  Methods in org.apache.lucene.search that return Scorable
  Modifier and Type
  Method
  Description
  `Scorable`
  Scorable.ChildScorable.`child()`
  Returns the value of the `child` record component.
  Methods in org.apache.lucene.search with parameters of type Scorable
  Modifier and Type
  Method
  Description
  `static DoubleValues`
  DoubleValuesSource.`fromScorer(Scorable scorer)`
  Returns a DoubleValues instance that wraps scores returned by a Scorer.
  `void`
  FieldComparator.RelevanceComparator.`setScorer(Scorable scorer)`
  `void`
  FieldComparator.TermValComparator.`setScorer(Scorable scorer)`
  `void`
  FilterLeafCollector.`setScorer(Scorable scorer)`
  `void`
  LeafCollector.`setScorer(Scorable scorer)`
  Called before successive calls to `LeafCollector.collect(int)`.
  `void`
  LeafFieldComparator.`setScorer(Scorable scorer)`
  Sets the Scorer to use in case a document's score is needed.
  `void`
  SimpleCollector.`setScorer(Scorable scorer)`
  `void`
  SimpleFieldComparator.`setScorer(Scorable scorer)`
  `protected void`
  TopFieldCollector.`updateGlobalMinCompetitiveScore(Scorable scorer)`
  `protected void`
  TopFieldCollector.`updateMinCompetitiveScore(Scorable scorer)`
  Constructors in org.apache.lucene.search with parameters of type Scorable
  Modifier
  Constructor
  Description
  ``
  `ChildScorable(Scorable child, String relationship)`
  Creates an instance of a `ChildScorable` record class.
  ``
  `FilterScorable(Scorable in)`
  Filter a scorer

- ## Uses of Scorable in org.apache.lucene.search.comparators

  Methods in org.apache.lucene.search.comparators with parameters of type Scorable
  Modifier and Type
  Method
  Description
  `void`
  NumericComparator.NumericLeafComparator.`setScorer(Scorable scorer)`